Skip to main content
POST
Report an organization booking

Headers

Authorization
string

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

orgId
number
required

Body

application/json
bookingUid
string
required

The UID of the booking to report

Example:

"booking-uid-123"

reason
enum<string>
required

The reason for reporting the booking

Available options:
SPAM,
DONT_KNOW_PERSON,
OTHER
Example:

"SPAM"

reportType
enum<string>
required

Whether to report by email or domain. EMAIL targets the specific booker email. DOMAIN targets all emails from the same domain.

Available options:
EMAIL,
DOMAIN
Example:

"EMAIL"

description
string

Additional description for the report

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required